Subject: Re: bug#13949: (no subject)

From: Jaakov <[email-masked]>
Date: Tue, 22 Mar 2016 20:53:24 +0100

On 03/22/2016 08:10 PM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Jaakov <[email-masked]>
>> Date: Tue, 22 Mar 2016 20:07:17 +0100
>>
>> On 03/22/2016 07:56 PM, Eli Zaretskii wrote:
>>>> From: Jaakov <[email-masked]>
>>>> Date: Tue, 22 Mar 2016 19:40:32 +0100
>>>>
>>>> severity 13949 normal
>>>> thanks
>>>>
>>>> Regarding severity: I protest to the previous resetting to minor.
>>>
>>> Your protest is respectfully noted.  But please stop changing the
>>> severity.
>>>
>> I changed it since I consider myself right and you wrong. Obviously, you
>> think somehow differently.
>>
>> I think you just didn't get my point.
>
> I'm getting your point, believe me.
>
>> Am I being unclear on the principal difference between
>> (1) _what_ a routine should do and
>> (2) _how_ it should do it?
>> ?
>
> I understand you, I just don't agree.

Your argument for not agreeing was:

"the buffer text is changed (at least twice), which turns on the 
modified flag."

If you do understand me, please observe that from the viewpoint of (1) 
in the described examples the buffer text is NOT changed, neither once, 
nor twice, not at all.
(Some properties may change, but not the buffer text. Also, the user has 
no practical way to look at the intermediate computation.)

Reason:

In our case, in the view of (1) the term "buffer text is changed" is 
defined, somewhat diffusely, as not "the same contents as the 
corresponding file on the disk".

Source:
"The text displayed in the mode line has the following format:
cs:ch-fr  buf      pos line   (major minor)
...
The next element on the mode line is the string indicated by ch. This 
shows two dashes (‘--’) if the buffer displayed in the window has the 
same contents as the corresponding file on the disk; i.e., if the buffer 
is “unmodified”. If the buffer is modified, it shows two stars (‘**’)."
from
https://www.gnu.org/software/emacs/manual/html_node/emacs/Mode-Line.html#Mode-Line

Therefore, the first part of your argument is invalid.

Am I being clear?